import { UMB_MEDIA_ROOT_ENTITY_TYPE } from '../entity.js';
import { UmbMediaTreeServerDataSource } from './server-data-source/media-tree.server.data-source.js';
import { UMB_MEDIA_TREE_STORE_CONTEXT } from './media-tree.store.context-token.js';
import { UmbTreeRepositoryBase } from '../../../core/tree/index.js';
export class UmbMediaTreeRepository extends UmbTreeRepositoryBase {
    constructor(host) {
        super(host, UmbMediaTreeServerDataSource, UMB_MEDIA_TREE_STORE_CONTEXT);
    }
    async requestTreeRoot() {
        const { data: treeRootData } = await this._treeSource.getRootItems({ skip: 0, take: 0 });
        const hasChildren = treeRootData ? treeRootData.total > 0 : false;
        const data = {
            unique: null,
            entityType: UMB_MEDIA_ROOT_ENTITY_TYPE,
            name: '#treeHeaders_media',
            hasChildren,
            isFolder: true,
        };
        return { data };
    }
}
export default UmbMediaTreeRepository;
